import React from 'react';
import { stackIconsURL } from '../../icons/stackIconsURL';
import { css } from './styles.js';
/**
 * @param {string} itemTopics - Mandatory: ex.: item.topics.map(icon) ... itemTopics={icon}
 * @param {string} className - Optional: style className - TailwindCSS.
 * @param {React.CSSProperties} style - Optional: style CSS Properties.
 * @returns {ReactNode} - Return tag img(SVG).
 */
export function StackLabels({ itemTopics, className = 'styleStackLabels', style }) {
    return itemTopics === 'deploy' || stackIconsURL[itemTopics] === undefined ? (React.createElement(React.Fragment, null, " ")) : (React.createElement(React.Fragment, null,
        React.createElement("style", null, css),
        React.createElement("p", { style: style, className: className }, itemTopics)));
}
