var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export function fetchGitHubBanner(usernameGitHub, repositoryName) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const response = yield fetch(`https://api.github.com/repos/${usernameGitHub}/${repositoryName}/contents/public`);
            if (!response.ok) {
                throw new Error(`Unsuccessful request: ${response.statusText}`);
            }
            const jsonData = yield response.json();
            return jsonData;
        }
        catch (err) {
            return err;
        }
    });
}
